5 Replies Latest reply on Nov 7, 2011 9:25 AM by Jonathan Anstey

    Example Install Error

    Gnanaguru Sattanathan Novice

      Hi

       

      I am trying to run cxf-wsdl-first-osgi-package from Fuse 4.4.1 . But i am encountering this issue as shown below.

       

      karaf@root> features:install examples-cxf-wsdl-first-osgi-package

      Refreshing bundles org.apache.ws.security.wss4j (162)

      Error executing command: Could not start bundle mvn:org.apache.servicemix/servic

      emix-cxf-bc/2011.02.1-fuse-00-08 in feature(s) servicemix-cxf-bc-2011.02.1-fuse-

      00-08: Unable to resolve module servicemix-cxf-bc because it is exposed

      to package 'javax.servlet' from org.apache.geronimo.specs.geronimo-servlet_3.0_s

      pec and org.apache.geronimo.specs.geronimo-servlet_2.5_spec via

      two dependency chains.

       

      Chain 1:

        servicemix-cxf-bc

          import: (&(package=javax.servlet)(version>=2.6.0))

            

       

          export: package=javax.servlet

        org.apache.geronimo.specs.geronimo-servlet_3.0_spec

       

      Chain 2:

        servicemix-cxf-bc

          import: (&(package=org.apache.ws.security.handler)(version>=1.6.0))

       

          export: package=org.apache.ws.security.handler; uses:=org.opensaml

        org.apache.ws.security.wss4j

          import: (package=org.opensaml)

            

       

          export: package=org.opensaml; uses:=javax.servlet

        org.apache.servicemix.bundles.opensaml

          import: (package=javax.servlet)

       

          export: package=javax.servlet

        org.apache.geronimo.specs.geronimo-servlet_2.5_spec

       

       

      Please help out

       

      Regards

      Guru